Subject: Re: bug#37826: Very annoying autoraise client/server behavior with -t option

From: Carlos Pita <[email-masked]>
Date: Mon, 21 Oct 2019 13:33:36 -0300

> The only concern I have regarding a general "delay messages when
> visited via the client" is that I still don't know how to solve the
> interactive messages (questions) issue that I described in my last
> message.

>>  ("%s%c" "Are you listening? (y or n) " 121) ; <----- :(

I got this wrong, this is not the prompt for the question itself but a
message with the actual answer that is reported afterwards! So we're
fine with both yes-or-no-p and y-or-n-p. Are you aware of any other
interactive case that might be problematic? Are all prompt-like
interactions going ultimately through the same code path?